Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.dom3
Interface DOMImplementationSource

public interface DOMImplementationSource

DOM Level 3 WD Experimental: The DOM Level 3 specification is at the stage of Working Draft, which represents work in progress and thus may be updated, replaced, or obsoleted by other documents at any time.

This interface permits a DOM implementer to supply one or more implementations, based upon requested features. Each implemented `DOMImplementationSource` object is listed in the binding-specific list of available sources so that its `DOMImplementation` objects are made available.

See also the Document Object Model (DOM) Level 3 Core Specification.

Method Summary
`org.w3c.dom.DOMImplementation` | `getDOMImplementation(java.lang.String features)` A method to request a DOM implementation.
`DOMImplementationList` | `getDOMImplementations(java.lang.String features)` A method to request a list of DOM implementations that support the specified features.

Method Detail

### getDOMImplementation

    public org.w3c.dom.DOMImplementation getDOMImplementation(java.lang.String features)

  A method to request a DOM implementation.
  Parameters:
    `features` - A string that specifies which features are required. This is a space separated list in which each feature is specified by its name optionally followed by a space and a version number. This is something like: "XML 1.0 Traversal Events 2.0"
  Returns:
    An implementation that has the desired features, or `null` if this source has none.

### getDOMImplementations

    public DOMImplementationList getDOMImplementations(java.lang.String features)

  A method to request a list of DOM implementations that support the specified features.
  Parameters:
    `features` - A string that specifies which features are required. This is a space separated list in which each feature is specified by its name optionally followed by a space and a version number. This is something like: "XML 1.0 Traversal Events 2.0"
  Returns:
    A list of DOM implementations that support the desired features.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2003 Apache XML Project. All Rights Reserved.